# Disabled by default
%bcond_without check 

%global srcname aesara

Name: python-%{srcname}
Version: 2.1.2
Release: 1%{?dist}
Summary: Python optimizing compiler for evaluating mathematical expressions

# These files are under MIT
# aesara/graph/sched.py
# aesara/misc/ordered_set.py
# aesara/scalar/c_code/Faddeeva.cc
# aesara/scalar/c_code/Faddeeva.hh

License: BSD and MIT
URL: https://github.com/aesara-devs/aesara
Source0: %{pypi_source}

BuildArch:  noarch

%global _description %{expand:
Aesara is a Python library that allows you to define, optimize, and 
efficiently evaluate mathematical expressions involving multi-dimensional 
arrays. It is built on top of NumPy.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist setuptools}
Requires:       gcc-c++
Requires:       flexiblas-devel
Recommends:     %{py3_dist pygpu}

%if %{with check}
BuildRequires:  gcc-c++
BuildRequires:  flexiblas-devel
BuildRequires:  %{py3_dist numpy}
BuildRequires:  %{py3_dist filelock}
BuildRequires:  %{py3_dist scipy}
BuildRequires:  %{py3_dist pygpu}
%endif

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}
pushd aesara/misc
for fname in check_blas.py check_multi_gpu.py; do
  echo $fname
  sed -i -e '1d' $fname
  chmod -x $fname
done
popd

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/bin

%if %{with check}
# No tests in the tarball from PyPI
# https://github.com/aesara-devs/aesara/issues/494
%check
%py3_check_import aesara aesara.tensor
%endif

%files -n python3-%{srcname}
%license LICENSE.txt
%doc DESCRIPTION.txt  README.rst  
%{_bindir}/%{srcname}-*
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%changelog
* Mon Jul 19 2021 Sergio Pascual <sergiopr@fedoraproject.org> - 2.1.2-1
- New release (2.1.2)

* Tue Jun 22 2021 Sergio Pascual <sergiopr@fedoraproject.org> - 2.0.12-1
- New release

* Sat Jun 12 2021 Sergio Pascual <sergiopr@fedoraproject.org> - 2.0.10-1
- Initial package
